spec:
- flecsi:
    version: 1.4.2
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      backend: mpi
      build_type: RelWithDebInfo
      caliper_detail: none
      coverage: false
      cuda: false
      cuda_arch:
      - none
      debug_backend: false
      disable_metis: false
      doc: false
      doxygen: false
      external_cinch: true
      flecstan: false
      flog: false
      graphviz: false
      hdf5: true
      ipo: false
      kokkos: false
      openmp: false
      shared: true
      tutorial: false
      unit_tests: false
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: uo2i2wxwjaylqjw7d3444l2xcf5g4axliljxlgnht3ryy5icdwxq====
    dependencies:
      boost:
        hash: wnaiciqtixz7ilwk7qn3j4rdb7bvve6n
        type:
        - build
        - link
      cinch:
        hash: tihxbdxaybklwnvt7pbcqlhppk6nkibx
        type:
        - build
      cmake:
        hash: l4lapaympzoyq24xomd7estpoudrxk47
        type:
        - build
        - link
      googletest:
        hash: ioyjquxacs62m7er32t77eqdohrsekel
        type:
        - build
        - link
      hdf5:
        hash: x3gx55yyh5pw4yt5hm3apcgji6silohl
        type:
        - build
        - link
      metis:
        hash: v22ptka57z4cvgrtaestfvnui4mfosjo
        type:
        - build
        - link
      mpich:
        hash: mlsdvtqn65mrd6zfxtyzqpaq2kzesimo
        type:
        - build
        - link
      parmetis:
        hash: lpr46vsbqzoh6mhukewq7a2iky7axdqx
        type:
        - build
        - link
      pfunit:
        hash: xaveygnyji7jkmkg6hyooeabxz5ghzz3
        type:
        - build
        - link
    hash: 4vnm5wjgjhbhaflheb4vaqvk4bkmossa
    full_hash: rmhwom2k3dz6xllcl5yk75scixownfkj
- boost:
    version: 1.76.0
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      atomic: true
      chrono: true
      clanglibcpp: false
      container: false
      context: false
      coroutine: false
      cxxstd: '17'
      date_time: true
      debug: false
      exception: true
      fiber: false
      filesystem: true
      graph: true
      icu: false
      iostreams: true
      locale: true
      log: true
      math: true
      mpi: true
      multithreaded: true
      numpy: false
      pic: false
      program_options: true
      python: false
      random: true
      regex: true
      serialization: true
      shared: true
      signals: true
      singlethreaded: false
      system: true
      taggedlayout: false
      test: true
      thread: true
      timer: true
      versionedlayout: false
      visibility: hidden
      wave: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: e3etun47nhfbvsgqjvooyk2yjbqdrapvvkhgxfbwjt6phv7ikx4a====
    dependencies:
      bzip2:
        hash: 6ly7yux2l2m7lvjjty2xmiekyda5zkap
        type:
        - build
        - link
      mpich:
        hash: mlsdvtqn65mrd6zfxtyzqpaq2kzesimo
        type:
        - build
        - link
      zlib:
        hash: ffumpahlqlnbekddhthxcvhsl4s3i6cz
        type:
        - build
        - link
    hash: ik4uvz2z6yst433wttgaudy4hym7j73o
    full_hash: wnaiciqtixz7ilwk7qn3j4rdb7bvve6n
- bzip2:
    version: 1.0.8
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      debug: false
      pic: false
      shared: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 3pchiqmhi6gqv67bx5pjnoyy4n5w4gewud35jrf47o6ae6wwrp3q====
    dependencies:
      diffutils:
        hash: 3muxvx37w4x6j5xslms27tsttuz2mohc
        type:
        - build
    hash: y67eszd5llhcqotum46vjsifxuxao3y7
    full_hash: 6ly7yux2l2m7lvjjty2xmiekyda5zkap
- diffutils:
    version: '3.7'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 7yamnzzryv2s3tlntgcxnikaavgvi2vplmyz65xmuoalaxfrockq====
    dependencies:
      libiconv:
        hash: miqhmhgcllqkmxju6jz75m2djmj3puml
        type:
        - build
        - link
    hash: 2eqr3ycegtpfhyf3lqjbcvaoik3cz4dy
    full_hash: 3muxvx37w4x6j5xslms27tsttuz2mohc
- libiconv:
    version: '1.16'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: qxo4fcl3mmg7eqbkhyn2hhgq4eyffhe4nz73mibjqszudj265rba====
    hash: w6zptbclncs3jsnl3i4qtg72fgheiwdf
    full_hash: miqhmhgcllqkmxju6jz75m2djmj3puml
- mpich:
    version: 3.4.2
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      argobots: false
      device: ch4
      fortran: true
      hwloc: true
      hydra: true
      libxml2: true
      netmod: ofi
      pci: true
      pmi: pmi
      romio: true
      slurm: false
      verbs: false
      wrapperrpath: false
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: ni46ct3nuislm3taheiau4awxp7baus52qofpkqjhuetcot4mgrq====
    dependencies:
      findutils:
        hash: 6w44vz73ea43ij6d5kkdj45fw6l2j2m3
        type:
        - build
      hwloc:
        hash: e7gstyt2olb7ksms7wemqefvqpm66uev
        type:
        - build
        - link
      libfabric:
        hash: hrrrgvne5unngp2oit22qvyb7spngrqf
        type:
        - build
        - link
      libpciaccess:
        hash: u4lkb7zvz44vhxr7tyjo64zopkuxdfme
        type:
        - build
        - link
      libxml2:
        hash: g2deftecsbdnlrgzditjqk4dpfzhzirj
        type:
        - build
        - link
      pkgconf:
        hash: jvm5n4jwnjrwpkn4cfavsl7asd6asm6w
        type:
        - build
    hash: nawpdrhj3qspz2o4tb7pc6mk2cafuklj
    full_hash: mlsdvtqn65mrd6zfxtyzqpaq2kzesimo
- findutils:
    version: 4.8.0
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: m2radzm7vlh55rbwxp24vzcpb5nljijgwke5z2ysxow3h5cijsmq====
    hash: atnrdycu2ximokskt55h3fart7s4cbev
    full_hash: 6w44vz73ea43ij6d5kkdj45fw6l2j2m3
- hwloc:
    version: 2.4.1
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cairo: false
      cuda: false
      gl: false
      libudev: false
      libxml2: true
      netloc: false
      nvml: false
      pci: true
      shared: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: rffu3zladpjz7lnzq3gz5mvq5iwdjb2gna4mz5cmzyqrfclx7dyq====
    dependencies:
      libpciaccess:
        hash: u4lkb7zvz44vhxr7tyjo64zopkuxdfme
        type:
        - build
        - link
      libxml2:
        hash: g2deftecsbdnlrgzditjqk4dpfzhzirj
        type:
        - build
        - link
      ncurses:
        hash: rdgcz6u67kf4tts4gchpplh7uqvdkpfw
        type:
        - build
        - link
      pkgconf:
        hash: jvm5n4jwnjrwpkn4cfavsl7asd6asm6w
        type:
        - build
    hash: q6hzuh4lmnlthnlqphvvyuk557hej35c
    full_hash: e7gstyt2olb7ksms7wemqefvqpm66uev
- libpciaccess:
    version: '0.16'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 2mgp7xh7u5cqe3p6kcdaktqwwrisvtrnevka453xaikahg7awjsa====
    dependencies:
      libtool:
        hash: xq65k5u4dwsjnlt4hb7wt7mbmvgtkind
        type:
        - build
      pkgconf:
        hash: jvm5n4jwnjrwpkn4cfavsl7asd6asm6w
        type:
        - build
      util-macros:
        hash: ljyvwqfcm7r32wgeezou4funmiwattbw
        type:
        - build
    hash: ux5xkhgfhhmitpkxfuf5h6ooudsiwhd4
    full_hash: u4lkb7zvz44vhxr7tyjo64zopkuxdfme
- libtool:
    version: 2.4.6
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: dobbgayteq44d5dm3w5gms4554gdf3fho6ho75i75xvsbhwtwfta====
    dependencies:
      m4:
        hash: vqafl3pd5rplz33vvn4qv645fiih4gdx
        type:
        - build
    hash: uh3mpsu5tx5vd2h2knykvn2qb3itxjtu
    full_hash: xq65k5u4dwsjnlt4hb7wt7mbmvgtkind
- m4:
    version: 1.4.19
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      sigsegv: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: mzishhezp2h3pmxbnpgxiqcmct4xrym242xqrzocz3lbjfja6cta====
    dependencies:
      libsigsegv:
        hash: qods4xtswkqi46jzjw4squ3p76liofap
        type:
        - build
        - link
    hash: 7fztfyzdb3a2f2sjiaypootxwkmcpt5a
    full_hash: vqafl3pd5rplz33vvn4qv645fiih4gdx
- libsigsegv:
    version: '2.13'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: fnbfqxe5shtknxk6p67bwewo5cz6jnsrvlnaeibvsxuglnh6jrbq====
    hash: 2fxv3kyhgfpgbi3xh3k3t6aitld7fh3g
    full_hash: qods4xtswkqi46jzjw4squ3p76liofap
- pkgconf:
    version: 1.7.4
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: oyzcze6haw33iorysgd3ld4xld7ayjjjfnavojmzm4u2pgn66jxq====
    hash: newgzwqsa26igxgtfo7gop5vgntfejjs
    full_hash: jvm5n4jwnjrwpkn4cfavsl7asd6asm6w
- util-macros:
    version: 1.19.3
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: bby54d26qry3anczjlbh4xcm2xsrfxh2wpssnmltwyoawgow4tbq====
    hash: khaz3mmqjmxz5bvv3obqzddv7wshb47e
    full_hash: ljyvwqfcm7r32wgeezou4funmiwattbw
- libxml2:
    version: 2.9.10
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      python: false
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: zh6qrsy7re7isolgjno63itxia5upmoetynv56xhiwibvfs57wea====
    dependencies:
      libiconv:
        hash: miqhmhgcllqkmxju6jz75m2djmj3puml
        type:
        - build
        - link
      pkgconf:
        hash: jvm5n4jwnjrwpkn4cfavsl7asd6asm6w
        type:
        - build
      xz:
        hash: ximjjqnzfpgu2un7bfg36dxm3fk2yo27
        type:
        - build
        - link
      zlib:
        hash: ffumpahlqlnbekddhthxcvhsl4s3i6cz
        type:
        - build
        - link
    hash: qlt5ajqqmtin3atqcycnv67oex63cvny
    full_hash: g2deftecsbdnlrgzditjqk4dpfzhzirj
- xz:
    version: 5.2.5
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      libs:
      - shared
      - static
      pic: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 2lnxh2slo2eq2uxlehnirshcgdddh2rydvxpjktaokwyklm7rexq====
    hash: ynkyqliadxgrqpk4mavevv3onehjrdco
    full_hash: ximjjqnzfpgu2un7bfg36dxm3fk2yo27
- zlib:
    version: 1.2.11
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      optimize: true
      pic: true
      shared: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: t3qdu2afvzyuexh6o6rnekus2anqxoussw65cpmwm47dzkbmbtia====
    hash: p7dmb5pqi6svirhovljrkp3uyfiytz3m
    full_hash: ffumpahlqlnbekddhthxcvhsl4s3i6cz
- ncurses:
    version: '6.2'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      abi: none
      symlinks: false
      termlib: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: r4nunvnb7us7pov6bsna62ep46rxvobqhgrg3txlkv57z6s2toxa====
    dependencies:
      pkgconf:
        hash: jvm5n4jwnjrwpkn4cfavsl7asd6asm6w
        type:
        - build
    hash: n5vhymfigwg6e45k7thdfyeswuhxojtx
    full_hash: rdgcz6u67kf4tts4gchpplh7uqvdkpfw
- libfabric:
    version: 1.12.1
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      debug: false
      fabrics:
      - rxm
      - sockets
      - tcp
      - udp
      kdreg: false
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: ypy4pbemeqgkqs2crrqumhuys7novv73o5n6avdtusnq7cmcjlva====
    hash: lgug4cxazbl24jdtmttovd5qpnr6os7z
    full_hash: hrrrgvne5unngp2oit22qvyb7spngrqf
- cinch:
    version: master
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 4l2elw4wpbgs4rsf2dlym2zqewbbolmbisjgdsiofyyeeda7dvxa====
    hash: dd24xlmblcol6zdwix3wglngl7xnfk7k
    full_hash: tihxbdxaybklwnvt7pbcqlhppk6nkibx
- cmake:
    version: 3.20.5
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      build_type: Release
      doc: false
      ncurses: true
      openssl: true
      ownlibs: true
      qt: false
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: szm3pwaub5waj5zs7v5p7b3huba4pqqb6hcoxbd5natcy2khvama====
    dependencies:
      ncurses:
        hash: rdgcz6u67kf4tts4gchpplh7uqvdkpfw
        type:
        - build
        - link
      openssl:
        hash: 4wakmtknltqlbdmmk4vkesx2r35orqok
        type:
        - build
        - link
    hash: zyz2eldbrcih3f6l37dyvdxmyoiyvhv5
    full_hash: l4lapaympzoyq24xomd7estpoudrxk47
- openssl:
    version: 1.1.1k
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      docs: false
      systemcerts: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: ojjhepri4enundug4dzvaojxxb4evsdlk4mtqezbktyzig5cm2ta====
    dependencies:
      perl:
        hash: osuhk73uasmhwec2w7xnetruyjqgmoqy
        type:
        - build
        - test
      zlib:
        hash: ffumpahlqlnbekddhthxcvhsl4s3i6cz
        type:
        - build
        - link
    hash: rvjrbxtcq5qu3d3irstrbubcdb7va6va
    full_hash: 4wakmtknltqlbdmmk4vkesx2r35orqok
- perl:
    version: 5.34.0
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cpanm: true
      shared: true
      threads: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 2havq6sd5qoghb6ybesfrilps3st52e3ikbasc5m3axh7vkry3rq====
    dependencies:
      berkeley-db:
        hash: rreld2ayuoeecvybjv4x5ivhu4jwgr6h
        type:
        - build
        - link
      bzip2:
        hash: 6ly7yux2l2m7lvjjty2xmiekyda5zkap
        type:
        - build
        - link
      gdbm:
        hash: sbq4x7olqlpgmm7p726usoyo33us66de
        type:
        - build
        - link
      zlib:
        hash: ffumpahlqlnbekddhthxcvhsl4s3i6cz
        type:
        - build
        - link
    hash: czjb72tbies6obhlz5ujbst6zwdoslph
    full_hash: osuhk73uasmhwec2w7xnetruyjqgmoqy
- berkeley-db:
    version: 18.1.40
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cxx: true
      docs: false
      patches:
      - b231fcc4d5cff05e5c3a4814f6a5af0e9a966428dc2176540d2c05aff41de522
      stl: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    patches:
    - b231fcc4d5cff05e5c3a4814f6a5af0e9a966428dc2176540d2c05aff41de522
    package_hash: iqe5iwznv4y3uz7x255z64ftprbyfjhdnnetm57bfpwxqimsudfq====
    hash: pn2cxagxazegjvyzo4srwxgr54hl4r3y
    full_hash: rreld2ayuoeecvybjv4x5ivhu4jwgr6h
- gdbm:
    version: '1.19'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: nz6quylm2mnaoqewuxhr6ui74qu7k2ths5ulerhfx36clqwftneq====
    dependencies:
      readline:
        hash: pidmahhqajmmk4kj3o7o5qmwau3iitux
        type:
        - build
        - link
    hash: g4xrv3gnewgw5zk7cj3brs32imgffprr
    full_hash: sbq4x7olqlpgmm7p726usoyo33us66de
- readline:
    version: '8.1'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: vvylilofgll6nuyowsltu7pwb32e7cnbhllh5ynzyql7ixglbyea====
    dependencies:
      ncurses:
        hash: rdgcz6u67kf4tts4gchpplh7uqvdkpfw
        type:
        - build
        - link
    hash: fvag4vkcyipnv5vihjke24xs4rz26opn
    full_hash: pidmahhqajmmk4kj3o7o5qmwau3iitux
- googletest:
    version: 1.8.1
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      build_type: RelWithDebInfo
      gmock: true
      ipo: false
      pthreads: true
      shared: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: ztyiflpcauc4ojvm2awcqgmbrjetau7m4chqpjrdlwthf5tenugq====
    dependencies:
      cmake:
        hash: l4lapaympzoyq24xomd7estpoudrxk47
        type:
        - build
    hash: 73sv6gehewe5456abgmxnof7zhwx467b
    full_hash: ioyjquxacs62m7er32t77eqdohrsekel
- hdf5:
    version: 1.12.0
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      api: v18
      build_type: RelWithDebInfo
      cxx: false
      fortran: true
      hl: true
      ipo: false
      java: false
      mpi: true
      shared: true
      szip: false
      threadsafe: false
      tools: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: nqxrebceeyqqhfurvbsspkilnk6itlwt6r5otmf3cerrysq4ofda====
    dependencies:
      cmake:
        hash: l4lapaympzoyq24xomd7estpoudrxk47
        type:
        - build
      mpich:
        hash: mlsdvtqn65mrd6zfxtyzqpaq2kzesimo
        type:
        - build
        - link
      numactl:
        hash: x72egh64dmcwn33un64fx7q6te7vl4ea
        type:
        - build
        - link
      pkgconf:
        hash: jvm5n4jwnjrwpkn4cfavsl7asd6asm6w
        type:
        - run
      zlib:
        hash: ffumpahlqlnbekddhthxcvhsl4s3i6cz
        type:
        - build
        - link
    hash: kum63pzjcadbiv37ln2bcums77mqwbb2
    full_hash: x3gx55yyh5pw4yt5hm3apcgji6silohl
- numactl:
    version: 2.0.14
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      patches:
      - 4e1d78cbbb85de625bad28705e748856033eaafab92a66dffd383a3d7e00cc94
      - 62fc8a8bf7665a60e8f4c93ebbd535647cebf74198f7afafec4c085a8825c006
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    patches:
    - 4e1d78cbbb85de625bad28705e748856033eaafab92a66dffd383a3d7e00cc94
    - 62fc8a8bf7665a60e8f4c93ebbd535647cebf74198f7afafec4c085a8825c006
    package_hash: lrwrlcfsc5uliwahldsb7sb5qkv2gzidtkesepr76uzexsz732fa====
    dependencies:
      autoconf:
        hash: aii3o35wvd2k4j57ai5srv3spflq6tys
        type:
        - build
      automake:
        hash: vjrtip33ud4astxrcelwlhlqqjpahmfx
        type:
        - build
      libtool:
        hash: xq65k5u4dwsjnlt4hb7wt7mbmvgtkind
        type:
        - build
      m4:
        hash: vqafl3pd5rplz33vvn4qv645fiih4gdx
        type:
        - build
    hash: vw2cdve2xpvtcq2r32ogoptxd4cyjfre
    full_hash: x72egh64dmcwn33un64fx7q6te7vl4ea
- autoconf:
    version: '2.69'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: orrp32k7i3n6mdobcfwjm2ovrf5fx2q5la254oeabjtlw7nhmfla====
    dependencies:
      m4:
        hash: vqafl3pd5rplz33vvn4qv645fiih4gdx
        type:
        - build
        - run
      perl:
        hash: osuhk73uasmhwec2w7xnetruyjqgmoqy
        type:
        - build
        - run
    hash: keeols7ld5ze74frwztvhtk223iyiwpr
    full_hash: aii3o35wvd2k4j57ai5srv3spflq6tys
- automake:
    version: 1.16.3
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: mrzo3skoxv3yv2kqkd2tsiqnsritc4rhjuzioez5jmwp46mspsuq====
    dependencies:
      autoconf:
        hash: aii3o35wvd2k4j57ai5srv3spflq6tys
        type:
        - build
      perl:
        hash: osuhk73uasmhwec2w7xnetruyjqgmoqy
        type:
        - build
        - run
    hash: 6f5m5hm7kzupeapwzwlscdgps2oyxd5k
    full_hash: vjrtip33ud4astxrcelwlhlqqjpahmfx
- metis:
    version: 5.1.0
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      build_type: Release
      gdb: false
      int64: false
      patches:
      - 4991da938c1d3a1d3dea78e49bbebecba00273f98df2a656e38b83d55b281da1
      - b1225da886605ea558db7ac08dd8054742ea5afe5ed61ad4d0fe7a495b1270d2
      real64: false
      shared: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    patches:
    - 4991da938c1d3a1d3dea78e49bbebecba00273f98df2a656e38b83d55b281da1
    - b1225da886605ea558db7ac08dd8054742ea5afe5ed61ad4d0fe7a495b1270d2
    package_hash: at57prqrqek3yeik2x3av75mqxoglui5xddgpbwbne6tcnsjy4wa====
    dependencies:
      cmake:
        hash: l4lapaympzoyq24xomd7estpoudrxk47
        type:
        - build
    hash: lxkd2thzi5xc5z3aqvw4eodot57r53y5
    full_hash: v22ptka57z4cvgrtaestfvnui4mfosjo
- parmetis:
    version: 4.0.3
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      build_type: RelWithDebInfo
      gdb: false
      int64: false
      ipo: false
      patches:
      - 4f892531eb0a807eb1b82e683a416d3e35154a455274cf9b162fb02054d11a5b
      - 50ed2081bc939269689789942067c58b3e522c269269a430d5d34c00edbc5870
      - 704b84f7c7444d4372cb59cca6e1209df4ef3b033bc4ee3cf50f369bce972a9d
      shared: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    patches:
    - 50ed2081bc939269689789942067c58b3e522c269269a430d5d34c00edbc5870
    - 4f892531eb0a807eb1b82e683a416d3e35154a455274cf9b162fb02054d11a5b
    - 704b84f7c7444d4372cb59cca6e1209df4ef3b033bc4ee3cf50f369bce972a9d
    package_hash: twm4mjlhfnonh7gsu4ubvihpqvqhl5hinp6h35kczgu6j2n2xuja====
    dependencies:
      cmake:
        hash: l4lapaympzoyq24xomd7estpoudrxk47
        type:
        - build
      metis:
        hash: v22ptka57z4cvgrtaestfvnui4mfosjo
        type:
        - build
        - link
      mpich:
        hash: mlsdvtqn65mrd6zfxtyzqpaq2kzesimo
        type:
        - build
        - link
    hash: rdrwwqrizoiz4h3xiehqqwfzimpuv5zh
    full_hash: lpr46vsbqzoh6mhukewq7a2iky7axdqx
- pfunit:
    version: 3.3.3
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      build_type: RelWithDebInfo
      docs: false
      ipo: false
      max_array_rank: '5'
      mpi: true
      openmp: false
      shared: true
      use_comm_world: false
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: l3hfqahxeqidak57thdnhqh7trl5rei4yyxexpyy4nzz4x67odqa====
    dependencies:
      cmake:
        hash: l4lapaympzoyq24xomd7estpoudrxk47
        type:
        - build
      mpich:
        hash: mlsdvtqn65mrd6zfxtyzqpaq2kzesimo
        type:
        - build
        - link
      python:
        hash: rtt7te2a2vdkq6f332ye6wevh3iwoato
        type:
        - build
        - run
    hash: p43tjioexhrepz7d3fa5cfqkb33ng2hc
    full_hash: xaveygnyji7jkmkg6hyooeabxz5ghzz3
- python:
    version: 3.8.10
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      bz2: true
      ctypes: true
      dbm: true
      debug: false
      libxml2: true
      lzma: true
      nis: false
      optimizations: false
      patches:
      - 0d98e93189bc278fbc37a50ed7f183bd8aaf249a8e1670a465f0db6bb4f8cf87
      pic: true
      pyexpat: true
      pythoncmd: true
      readline: true
      shared: true
      sqlite3: true
      ssl: true
      tix: false
      tkinter: false
      ucs4: false
      uuid: true
      zlib: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    patches:
    - 0d98e93189bc278fbc37a50ed7f183bd8aaf249a8e1670a465f0db6bb4f8cf87
    package_hash: qiavxo7hbqciuvowy3j4bskbclcvqtg77hjd4zopfuk32gmcma3a====
    dependencies:
      bzip2:
        hash: 6ly7yux2l2m7lvjjty2xmiekyda5zkap
        type:
        - build
        - link
      expat:
        hash: av4gr47vca7u4qh5rp2r3nuum3f6zs6j
        type:
        - build
        - link
      gdbm:
        hash: sbq4x7olqlpgmm7p726usoyo33us66de
        type:
        - build
        - link
      gettext:
        hash: roacd5di6bfm6esczu72bcqxl4hzb6cm
        type:
        - build
        - link
      libffi:
        hash: d2lj6rv333lpp425uu7e5edc5ro3ul6g
        type:
        - build
        - link
      ncurses:
        hash: rdgcz6u67kf4tts4gchpplh7uqvdkpfw
        type:
        - build
        - link
      openssl:
        hash: 4wakmtknltqlbdmmk4vkesx2r35orqok
        type:
        - build
        - link
      pkgconf:
        hash: jvm5n4jwnjrwpkn4cfavsl7asd6asm6w
        type:
        - build
      readline:
        hash: pidmahhqajmmk4kj3o7o5qmwau3iitux
        type:
        - build
        - link
      sqlite:
        hash: 6iva2kn7fwcgvegluctan3gnvddzbpnq
        type:
        - build
        - link
      util-linux-uuid:
        hash: qtja5cgmqk4koiurfhrug4rbp2srqvnk
        type:
        - build
        - link
      xz:
        hash: ximjjqnzfpgu2un7bfg36dxm3fk2yo27
        type:
        - build
        - link
      zlib:
        hash: ffumpahlqlnbekddhthxcvhsl4s3i6cz
        type:
        - build
        - link
    hash: 4hkgzkkd2svggorn2u2yvtiwrb6ndwfl
    full_hash: rtt7te2a2vdkq6f332ye6wevh3iwoato
- expat:
    version: 2.4.1
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      libbsd: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: qysdwqhoxte3mnozi4umj3z32zcnn5vuyreweomq3tssvrwb6gcq====
    dependencies:
      libbsd:
        hash: 4454kur6zsqbjalezrf7s5i4fhamguyc
        type:
        - build
        - link
    hash: hkq3gzberynb65fcspixa5tswvfp4tmx
    full_hash: av4gr47vca7u4qh5rp2r3nuum3f6zs6j
- libbsd:
    version: 0.11.3
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 6ghz4idgqu2xtmv7yk3xvckxnj7wzy2lexfzcza4ysabf6lginxa====
    dependencies:
      libmd:
        hash: rahb4vht332xd7solxuo2f6dldg6xlfd
        type:
        - build
        - link
    hash: 65zmhiaauhr6m4gdyyvxni3ripanekoi
    full_hash: 4454kur6zsqbjalezrf7s5i4fhamguyc
- libmd:
    version: 1.0.3
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: bhp5b7hclckm35sczyehpmpnufnwnj5unw5o74enjtk6o7ll544a====
    hash: bflkvmymfaey55qzc3um7tfpkubstntf
    full_hash: rahb4vht332xd7solxuo2f6dldg6xlfd
- gettext:
    version: '0.21'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      bzip2: true
      curses: true
      git: true
      libunistring: false
      libxml2: true
      tar: true
      xz: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: vl4odufnabslgmstc7s7uru4zvpbgyrn5hkku7eydsc4jedest4q====
    dependencies:
      bzip2:
        hash: 6ly7yux2l2m7lvjjty2xmiekyda5zkap
        type:
        - build
        - link
      libiconv:
        hash: miqhmhgcllqkmxju6jz75m2djmj3puml
        type:
        - build
        - link
      libxml2:
        hash: g2deftecsbdnlrgzditjqk4dpfzhzirj
        type:
        - build
        - link
      ncurses:
        hash: rdgcz6u67kf4tts4gchpplh7uqvdkpfw
        type:
        - build
        - link
      tar:
        hash: 65k7oaiqfbna27qwqed23c5pcjf2wcwr
        type:
        - build
        - link
      xz:
        hash: ximjjqnzfpgu2un7bfg36dxm3fk2yo27
        type:
        - build
        - link
        - run
    hash: enc4t3lrcrzpgzpdthu4csbmd72hdhsv
    full_hash: roacd5di6bfm6esczu72bcqxl4hzb6cm
- tar:
    version: '1.34'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: whvisexldbhdyii7hjxgyaxoggz57uyd3ol2vw5ysmyyi2f2exsa====
    dependencies:
      libiconv:
        hash: miqhmhgcllqkmxju6jz75m2djmj3puml
        type:
        - build
        - link
    hash: hjrth7kpz7h7qagj3jrtnzbongsoiacr
    full_hash: 65k7oaiqfbna27qwqed23c5pcjf2wcwr
- libffi:
    version: '3.3'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      patches:
      - 26f26c6f29a7ce9bf370ad3ab2610f99365b4bdd7b82e7c31df41a3370d685c0
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    patches:
    - 26f26c6f29a7ce9bf370ad3ab2610f99365b4bdd7b82e7c31df41a3370d685c0
    package_hash: c2tsgxu4zslyekoczwtphhboki2k24zf4mrqxh4qws6i7wryj3sa====
    hash: hvrhttuiahh5krx6w4oskf3mryadojct
    full_hash: d2lj6rv333lpp425uu7e5edc5ro3ul6g
- sqlite:
    version: 3.35.5
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      column_metadata: true
      fts: true
      functions: false
      rtree: false
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: zxwdr736hl2jj4d7pfv7osg7in53iyvq5inbzcpqufoiaita3gwq====
    dependencies:
      readline:
        hash: pidmahhqajmmk4kj3o7o5qmwau3iitux
        type:
        - build
        - link
      zlib:
        hash: ffumpahlqlnbekddhthxcvhsl4s3i6cz
        type:
        - build
        - link
    hash: no2cfhplaysoeowidyawzhmnxyjnvjuk
    full_hash: 6iva2kn7fwcgvegluctan3gnvddzbpnq
- util-linux-uuid:
    version: 2.36.2
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: jsenb4doisnctjczlrp2bvpet7vq34wnoqff7lczvdyq6jkngixa====
    dependencies:
      pkgconf:
        hash: jvm5n4jwnjrwpkn4cfavsl7asd6asm6w
        type:
        - build
    hash: nxldchnet7nix4hu76a2ya3u7ntqhcej
    full_hash: qtja5cgmqk4koiurfhrug4rbp2srqvnk
binary_cache_checksum:
  hash_algorithm: sha256
  hash: 7369ea8d41071c631c748ed0ae30f28759d2a6a784e10e35cc1daca187e45bf4
buildinfo:
  relative_prefix: linux-ubuntu20.04-x86_64/gcc-9.3.0/flecsi-1.4.2-4vnm5wjgjhbhaflheb4vaqvk4bkmossa
  relative_rpaths: false
